%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name simple-rss

Summary: A simple, flexible, extensible, and liberal RSS and Atom reader for Ruby
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.2.3
Release: 8%{?dist}
Group: Development/Languages
License: LGPLv2+
URL: https://github.com/ManageIQ/simple-rss/tree/simple-rss_1_2_3 
Source0: %{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{?scl_prefix}ruby(rubygems), %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires: %{?scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
A simple, flexible, extensible, and liberal RSS and Atom reader for Ruby. It
is designed to be backwards compatible with the standard RSS parser, but will
never do RSS generation.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
%{?scl:"}


%clean
rm -rf %{buildroot}

%check
cd %{buildroot}%{gem_instdir}
#rake test

%files
%defattr(-,root,root,-)
%dir %{gem_instdir}/
%doc %{gem_docdir}
%doc %{gem_instdir}/[A-Z]*
%{gem_instdir}/[a-z]*
%{gem_cache}
%{gem_spec}


%changelog
* Tue May 14 2013 Steve Linabery <slinaber@redhat.com> - 1.2.3-8
- use gem built from https://github.com/ManageIQ/simple-rss/tree/v1.2.3-8 

* Mon Mar  4 2013 John Eckersberg <jeckersb@redhat.com> - 1.2.3-7
- Add missing scl_prefix on ruby(abi) requires

* Fri Mar  1 2013 John Eckersberg <jeckersb@redhat.com> - 1.2.3-6
- SCL-ize specfile

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 1.2.3-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 04 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.2.3
- New version

* Sat Apr 10 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.2-1
- New version 

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 09 2009 Michael Stahnke <stahnma@fedoraproject.org> - 1.1-4
- More fixes from review

* Sun Jan 25 2009 Michael Stahnke <stahnma@fedoraproject.org> - 1.1-3
- One more doc update for review

* Sat Jan 10 2009 Michael Stahnke <stahnma@fedoraproject.org> - 1.1-2
- Spec updates per review

* Thu Nov 13 2008 Michael Stahnke <stahnma@fedoraproject.org> - 1.1-1
- Initial package
